import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.math.*;

public class Main {
    public static void main(String[] args) {
        try {
            Scanner in = new Scanner(new File("B.in"));
            PrintWriter out = new PrintWriter("B.out");
            BigInteger n=in.nextBigInteger();
            long a=in.nextInt(),b=in.nextInt();
            n=n.add(BigInteger.valueOf(b)).subtract(BigInteger.valueOf(a));
            out.println(n.toString());
            out.close();
        }catch(Exception ex) {
        }
    }

}
